intensHist <- function(x,breaks=NULL,nclass=NULL,main="",include.lowest=TRUE,
                       right=TRUE,ylab="Intensity",iFn=NULL,col.iFn="black",
                       lty.iFn=1,xlim.iFn="short",...) {
x <- as.pp1(x)
if(is.null(breaks)) {
 	if(is.null(nclass)) breaks <- "Sturges"
}
if(is.null(nclass)) {
h <- hist(x,breaks=breaks,include.lowest=include.lowest,
          right=right,plot=FALSE)
} else {
h <- hist(x,nclass=nclass,include.lowest=include.lowest,
          right=right,plot=FALSE)
}
h$density <- h$density*length(x)
ldots <- list(...)

if(is.null(ldots$xlim))
	ldots$xlim <- attr(x,"interval")
if(is.null(ldots$ylim))
	ldots$ylim <- range(h$density,attr(iFn,"ylim"))
do.call(plot,c(list(x=h,ylab=ylab,main=main,freq=FALSE),ldots))
if(!is.null(iFn)) {
	if(is.numeric(xlim.iFn)) xlim <- xlim.iFn
	else if(xlim.iFn=="short") xlim <- range(h$breaks)
	else if(xlim.iFn=="long") xlim <- attr(x,"interval")
	else stop("Cannot interpret argument \"xlim.iFn\".\n")
	plot(iFn,lty=lty.iFn,col=col.iFn,add=TRUE,xlim=xlim)
}
}
