plot.pp1 <- function(x,add=FALSE,xlim=NULL,ylim=NULL,xlab=NULL,ylab=NULL,
                     lbl=NULL,medium=NULL,mdm.dflt=c("time","space","other"),
                     xsym=NULL,units=NULL,pch=20,rug=!add,
                     rug.col=NULL,main="",...) {
x <- as.pp1(x)
S <- stepfun(x,0:length(x))
if(is.null(xlim)) xlim <- attr(x,"interval")
if(is.null(ylim)) ylim <- c(0,length(x))

mdm.dat <- attr(x,"medium")
if(!is.null(mdm.dat)) {
    medium <- mdm.dat
} else if(is.null(medium)) {
    medium <- match.arg(mdm.dflt)
}
units.dat <- attr(x,"units")
if(!is.null(units.dat)) units <- units.dat
if(is.null(units)) units <- ""
uuu <- if(nchar(units)) bquote(.(as.name(units))) else bquote(.(units))
if(medium=="time") {
    if(is.null(lbl)) lbl <- "time"
    if(is.null(xsym)) xsym <- "t"
    Narg <- try(as.name(xsym),silent=TRUE)
    if(inherits(Narg,"try-error")) Narg <- xsym
    if(is.null(xlab)) {
        xlab <- bquote(paste(.(lbl)," (",.(Narg),")"))
        xlab <- bquote(paste(.(xlab)," in ",.(uuu)))
    }
} else if(medium=="space") {
    if(is.null(lbl)) lbl <- "distance"
    if(is.null(xsym)) xsym <- "x"
    Narg <- try(as.name(xsym),silent=TRUE)
    if(inherits(Narg,"try-error")) Narg <- xsym
    if(is.null(xlab)) {
        xlab <- bquote(paste(.(lbl)," (",.(Narg),")"))
        xlab <- bquote(paste(.(xlab)," in ",.(uuu)))
    }
} else {
    if(is.null(lbl)) {
        if(medium=="other") {
            lbl <- "..."
        } else {
            lbl <- medium
        }
    }
    if(is.null(xsym)) {
        xsym <- bquote(""%.%"")
        Narg <- xsym
        if(is.null(xlab)) xlab <- lbl
    } else {
        Narg <- try(as.name(xsym),silent=TRUE)
        if(inherits(Narg,"try-error")) Narg <- xsym
        if(is.null(xlab)) {
            xlab <- bquote(paste(.(lbl)," (",.(Narg),")"))
            xlab <- bquote(paste(.(xlab)," in ",.(uuu)))
        }
    }
}
if(is.null(ylab)) ylab <- bquote(N(.(Narg)))
plot(S,verticals=FALSE,pch=pch,add=add,xlim=xlim,ylim=ylim,
     xlab=xlab,ylab=ylab,main=main,...)
if(rug) {
    if(is.null(rug.col)) {
        rug(x)
    } else {
        rug(x,col=rug.col)
    }
}
}
