prepDat <- function(x,covariates,interval=NULL,...) {
#
# Function preDat --- prepare data frame of covariates
# for pfit().
#

if(is.null(covariates)) return(data.frame(Intercept=rep(1,length(x))))
if(!is.list(covariates))
	stop("Argument \"covariates\" must be a list.\n")

foo <- function(f,x,interval,...) {
	if(is.function(f)) {
		formals(f) <- alist(x=,interval=,"..."=)
		return(f(x,interval,...))
	}
	if(is.numeric(f) && length(f)==length(x)) return(f)
	stop(paste("Argument \"covariates\" must be a list all of\n",
		   "whose entries must either be functions, or\n",
		   "variates whose length is equal to that of\n",
		   "\"x\", namely ",length(x),sep=""))
}
Dat <- as.data.frame(lapply(covariates,foo,x=x,interval,...))
nms <- if(is.null(names(covariates))) {
		paste("v",1:length(covariates),sep=".")
} else names(covariates)
names(Dat) <- nms
Dat
}
