rrnwl <- function(a,b,rfun,nstart=1,medium=NULL,units=NULL,...) {
#
# Generate a renewal process on the interval [a,b], with increments
# determined by the random number geneator "rfun".
# Note that rfun must produce *positive* random values.
# The number of points will be approximatly (b-a)/E(X) where
# X is the variate produced by rfun.
# E.g. xxx <- rnwl(0,10,function(n,sigma){abs(rnorm(n,0,sigma))},
#                  nstart=100,sigma=sqrt(pi/2)/10)
# will generate approximately 100 points.
if(a >= b) stop("Argument \"a\" must be less than \"b\".\n")
l <- b-a
x <- rfun(nstart,...)
while(sum(x) < l) {
x <- c(x,rfun(1,...))
}
y <- cumsum(x)
y <- y[y<=l]
y <- y+a
pp1(y,a,b,medium=medium,units=units)
}
