\name{as.pp1}
\alias{as.pp1}
\title{
   Convert Data to Class pp1
}
\description{
   Coerces a numeric vector to a one dimensional point pattern
   (an object of class \code{pp1}).
}
\usage{
as.pp1(x,medium=NULL,units=NULL)
}
\arguments{
  \item{x}{
  A numeric vector (or an object which is already of class \code{pp1}).
}
  \item{medium}{Character string.  Over what medium (time, space,
  or something else) are the points of the pattern observed?
  See \code{\link{plot.pp1}()}.
}
  \item{units}{Character string specifying the units, in which
  the medium over which the pattern is observed, is measured.
  See \code{\link{plot.pp1}()}.
}
}
\details{
  If \code{x} is of class \code{pp1} it is returned unchanged.
  Otherwise \code{x} is coerced to an object of class \code{pp1},
  with interval attribute equal to the range of \code{x} and units
  attibute equal to the empty string.

  If \code{x} is not of class \code{pp1} and is not a numeric
  vector an error is given.
}
\value{
  An object of class \code{pp1}.
}
\author{Rolf Turner
  \email{r.turner@auckland.ac.nz}
}

\seealso{
 \code{\link{pp1}()}
}
\examples{
  x <- runif(100,0,10)
  y <- as.pp1(x)
}

\keyword{ datagen }
