\name{ogata}
\alias{ogata}
\docType{data}
\title{
  Ogata's New Zealand Earthquake data.
}
\description{
  A list with two components (\dQuote{deep} and \dQuote{shallow})
  giving the times of earthquakes observed in the North Island of
  New Zealand from the beginning of 1946 to the end of 1980.
}
\usage{data(ogata)}
\format{
  The format is:
\preformatted{
List of 2
 $ deep   :Class 'pp1'  atomic [1:84] 412 556 718 737 874 ...
  .. ..- attr(*, "interval")= num [1:2] 0 12784
  .. ..- attr(*, "units")= chr "days"
 $ shallow:Class 'pp1'  atomic [1:58] 34.9 42.3 56.2 128.2 266.3 ...
  .. ..- attr(*, "interval")= num [1:2] 0 12784
  .. ..- attr(*, "units")= chr "days"
}
}
\details{
The data given in Ogata's paper (see \bold{References}), page 961,
include some events which do not appear in the data set documented
here.  These events are marked with asterisks in the paper, and
Ogata indicates (page 952) that these events are ``to be omitted''.
Such events are considered to be part of a cluster, and only one
event (that with the largest magnitude) in each cluster is to
be retained.

Each component of \code{ogata} is an object of class \code{pp1},
i.e. is a one dimensional point pattern.  This in effect means
that it has attributes named \code{interval} which is a vector
of length 2 specifying the interval over which the pattern was
observed, and \code{units} which is a character string (possibly
the empty string) specifying the units in which time (or one
dimensional distance) is measured.

For both the components of \code{ogata} the \code{interval}
attribute is equal to \code{c(0,12784)}, and the units attribute
is \dQuote{days}, 12784 being the number of days from the start of
1946 to the end of 1980.
}
\author{Rolf Turner
  \email{r.turner@auckland.ac.nz}
}
\source{
See \bold{References}.
}
\references{
Ogata, Y. Likelihood analysis of point processes and its applications
to seismological data. \emph{Bull. Int. Statist. Inst.} \bold{50}, 1988,
pp. 943 -- 961.
}
\examples{
ogata
}
\keyword{datasets}
